import React, {Component} from 'react'
import { is, fromJS } from 'immutable'

import avatar from '@/assets/img/avatar.jpg'
import './index.scss'

class MenuHeader extends Component {
  state = {
    logourl: window.GLOB.mainlogo,
    avatar: sessionStorage.getItem('CloudAvatar') || avatar,
    userName: sessionStorage.getItem('CloudUserName')
  }

  shouldComponentUpdate (nextProps, nextState) {
    return !is(fromJS(this.state), fromJS(nextState))
  }

  render () {

    return (
      <header className="menu-header-container">
        <div className="header-logo"><img src={this.state.logourl} alt=""/></div>
          <div className="header-setting">
            <img src={this.state.avatar} alt=""/>
            <span>
              <span className="username">{this.state.userName}</span>
            </span>
          </div>
      </header>
    )
  }
}

export default MenuHeader